# frozen_string_literal: true

module Lite
  module Redis

    class Configuration

      attr_accessor :client

      def initialize
        ::Redis.exists_returns_integer = true

        @client = ::Redis.new
      end

    end

    class << self

      attr_writer :configuration

      def configuration
        @configuration ||= Configuration.new
      end

      def configure
        yield(configuration)
      end

      def reset_configuration!
        @configuration = Configuration.new
      end

    end

  end
end
